# class Shell::AppendIO

### Public Class Methods

new(sh, io, filter) click to toggle source
Calls superclass method

    # File lib/shell/builtin-command.rb, line 88
    def initialize(sh, io, filter)
      super sh
      @input = filter
      @io = io
    end

### Public Instance Methods

input=(filter) click to toggle source

    # File lib/shell/builtin-command.rb, line 94
    def input=(filter)
      @input.input=filter
      for l in @input
        @io << l
      end
    end